home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Usenet 1994 January
/
usenetsourcesnewsgroupsinfomagicjanuary1994.iso
/
answers
/
coherent-files
/
part1
< prev
next >
Wrap
Internet Message Format
|
1993-10-13
|
7KB
Path: senator-bedfellow.mit.edu!bloom-beacon.mit.edu!news.kei.com!ub!dsinc!phent!kkress
From: kkress@phent.UUCP (Kenneth R. Kress)
Reply-To: dsinc!phent!kkress
Followup-To: comp.os.coherent
Newsgroups: comp.os.coherent,comp.answers,news.answers
Distribution: world
Subject: Mark Williams BBS Contents (part 1/2)
Keywords: Coherent, files, programs, list
Summary: This posting describes the files available from the Mark Williams Bulletin Board System for the Coherent operating system.
Supersedes: <coherent-files/part1_747862786@PHENT.UUCP>
Message-ID: <coherent-files/part1_750573354@PHENT.UUCP>
Organization: That's Entertainment BBS
Date: Thu, 14 Oct 93 00:35:55 EDT
Expires: 26 Jan 1994 04:35:54 GMT
Approved: news-answers-request@MIT.Edu
Lines: 189
Xref: senator-bedfellow.mit.edu comp.os.coherent:11929 comp.answers:2286 news.answers:13505
Archive-name: coherent-files/part1
Last-modified: 1993/10/14
Version: .5
I. Introduction:
If you would like to be able to scan what's available from the Mark
Williams Bulletin Board with a single command from the comfort of your
own machine (without long distance charges), read on.
This is a part 1 of a posting of the contents of the Mark Williams
BBS machine. (in Chicago, IL. area code: (708); 1200/2400 baud: 559-0412;
9600 baud Telebit: 559-0445; 9600 baud V.32/HST: 559-0452). The file
descriptions are also useful if you find a file on another Coherent site
and want to know what it is. (E.g., k5jb.zip, not to be confused with
kbd40.tar.Z).
The list which follows in part 2 is /rdb format (which is plain text
with tab delimiters), and sorted from most recent to least. What follows
are two scripts to help you use the listing: "mwfind" uses egrep and awk
to put the /rdb record into a "pleasant" form; "mwmerge" uses ed to
update the full listing with periodic diffs. I keep both scripts in
/usr/local/bin. Edit these scripts to reflect where you choose to store
the file list (I keep mine in $HOME/News/mwlist).
The diff list is posted monthly between quarterly postings of the full
list.
Enjoy,
Ken.
P.S. I don't work for Mark Williams and I don't want you to call my
BBS (It's for businesses). I get nothing out of this, except the warm
fuzzy feeling of helping others. Feel free to make suggestions for
improvement.
II. The programs
#--------------------------- begin mwfind -------------------------------
# --------------------------------------------------------------------- #
# NAME: mwfind
# COPYRIGHT: Copyright 1993 Kenneth R. Kress
# Right to distribute unmodified is hereby granted.
# USAGE: "USAGE: $0 pattern"
# modified 2/21/93 krk to add paths column
# modified 6/10/93 krk to add pieces column
# --------------------------------------------------------------------- #
USAGE="USAGE: $0 pattern"
# --------------------------------------------------------------------- #
# DESCRIPTION:
# --------------------------------------------------------------------- #
# mwfind - reads a table with columns:
# file date size description notes requirements path pieces
# and returns lines matching the pattern. The output format
# includes descriptive labels and fields are separated by
# newlines; records are terminated by a blank line.
# --------------------------------------------------------------------- #
# TRAP:
# --------------------------------------------------------------------- #
TMP=/tmp # modify to suit
echo "$USAGE" > $TMP/$$tmp # so trap has something to remove
trap "rm -f $TMP/$$*" 0 1 2 3 15
# --------------------------------------------------------------------- #
# DECLARATIONS:
# --------------------------------------------------------------------- #
SRC="$HOME/News/mwlist"
if [ ! -r "$SRC" ]
then
echo "Error: $SRC was unreadable or missing." >&2
exit 1
fi
if [ -z "$1" ]
then
echo "Error: $SRC was missing or empty." >&2
exit 1
fi
PAT=`echo "$1" | tr 'A-Z' 'a-z'`
# ##################################################################### #
# CODE BEGINS #
# --------------------------------------------------------------------- #
egrep -y -e "$PAT" $SRC |
awk '
BEGIN {
FS = OFS = "\t"
ONE = "Filename:"
TWO = "Size:"
THREE = "Date:"
FOUR = "Description:"
FIVE = "Notes:"
SIX = "Requirements:"
SEVEN = "Path:"
EIGHT = "Pieces:"
}
{
print "" # blank line between records
printf "%-12s %s\n", ONE, $1
printf "%-12s %s\n", THREE, $3
printf "%-12s %s\t", TWO, $2
printf "%12s %s\n", EIGHT, $8
printf "%-12s %s\n", FOUR, $4
printf "%-12s %s\n", FIVE, $5
printf "%-12s %s\n", SIX, $6
printf "%-12s %s\n", SEVEN, $7
}'
# --------------------------------------------------------------------- #
# CLEAN EXIT
# --------------------------------------------------------------------- #
exit 0
#--------------------------- end mwfind ---------------------------------
#--------------------------- begin mwmerge ------------------------------
# --------------------------------------------------------------------- #
# NAME: mwmerge
# COPYRIGHT: Copyright 1993 Kenneth R. Kress
# Right to distribute unmodified is hereby granted.
# USAGE: USAGE="usage: $0 changes"
# --------------------------------------------------------------------- #
USAGE="usage: $0 diffs"
# --------------------------------------------------------------------- #
# DESCRIPTION:
# --------------------------------------------------------------------- #
# mwmerge - take the file of diffs ($1) and merge them
# with the mwcbbs listing file (see SRC)
# --------------------------------------------------------------------- #
# DECLARATIONS:
# --------------------------------------------------------------------- #
#TEMPFILES:
TMP=/tmp #! modify to suit
TMPA=$TMP/$$tmpa
TMPB=$TMP/$$tmpb
#DATAFILES:
SRC=$HOME/News/mwlist #! modify to suit
DEST=$SRC
# --------------------------------------------------------------------- #
# TRAP:
# --------------------------------------------------------------------- #
echo "$USAGE" > $TMP/$$tmp # so trap has something to remove
trap "rm -f $TMP/$$*" 0 1 2 3 15
if [ "$#" -ne 1 ]
then
echo "Error: Requires one and only one filename." >&2
exit 1
fi
if [ ! -r "$1" ]
then
echo "Error: $1 is unreadable or missing." >&2
exit 1
fi
if [ ! -r "$SRC" ]
then
SRC="/dev/null"
fi
# ##################################################################### #
# CODE BEGINS #
# --------------------------------------------------------------------- #
cp $1 $TMPA
cp $SRC $TMPB
echo "wq" >> $TMPA
cat $TMPA |
ed +v - $TMPB
mv $TMPB $DEST
# --------------------------------------------------------------------- #
# CLEAN EXIT
# --------------------------------------------------------------------- #
# Clean up
rm $TMP/$$*
# Exit
exit 0
#--------------------------- end mwmerge ------------------------------
--
________________________________________________________________
Ken Kress, Glenside, Pa. * dsinc!phent!kkress
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~